﻿using System.Windows;
using System.Windows.Controls.Primitives;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GanttView;
using Telerik.Windows.Rendering;

namespace RadGanttViewWPF_1060081
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.DataContext = new MyViewModel();
            this.Loaded+=MainWindow_Loaded;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            var bars = this.ganttView.ChildrenOfType<ScrollBar>();

            foreach (var bar in bars)
            {
                bar.Value += 1;
                bar.Value -= 1;
            }
        }
    }
}
